View Issue Details

IDProjectCategoryView StatusLast Update
0012085mantisbtbugtrackerpublic2014-12-08 00:34
ReporterdhxAssigned Todhx 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version1.2.2 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0012085: Deprecate $g_allow_close_immediately
Description

The 'allow_close_immediately' configuration option is redundant. Administrators can just use 'status_enum_workflow' configuration option to decide whether users are allowed to change the status to 'closed' from other status levels.

TagsNo tags attached.

Relationships

related to 0012086 new Deprecate $g_allow_reporter_close 
related to 0012087 new Deprecate $g_allow_reporter_reopen 
child of 0010285 confirmed Allow Only Reporters to change the issue status to CLOSED 
child of 0015721 closedgrangeway Functionality to consider porting to master-2.0.x 

Activities

grangeway

grangeway

2013-04-05 17:57

reporter   ~0036504

Marking as 'acknowledged' not resolved/closed to track that change gets ported to master-2.0.x branch

Related Changesets

MantisBT: master 98162161

2010-06-23 03:22:11

dhx

Details Diff
Fix 0012085: Remove $g_allow_close_immediately

This option is superseded by both $g_set_status_threshold and
$g_allow_reporter_close and is therefore no longer necessary.
mod - lang/strings_english.txt Diff File
mod - lang/strings_japanese.txt Diff File
mod - lang/strings_german.txt Diff File
mod - lang/strings_italian.txt Diff File
mod - manage_config_work_threshold_page.php Diff File
mod - lang/strings_occitan.txt Diff File
mod - lang/strings_romanian.txt Diff File
mod - lang/strings_arabicegyptianspoken.txt Diff File
mod - lang/strings_czech.txt Diff File
mod - lang/strings_portuguese_brazil.txt Diff File
mod - lang/strings_arabic.txt Diff File
mod - lang/strings_swissgerman.txt Diff File
mod - lang/strings_finnish.txt Diff File
mod - lang/strings_hungarian.txt Diff File
mod - lang/strings_tagalog.txt Diff File
mod - lang/strings_polish.txt Diff File
mod - lang/strings_dutch.txt Diff File
mod - lang/strings_slovak.txt Diff File
mod - lang/strings_chinese_traditional.txt Diff File
mod - lang/strings_danish.txt Diff File
mod - lang/strings_korean.txt Diff File
mod - lang/strings_chinese_simplified.txt Diff File
mod - lang/strings_estonian.txt Diff File
mod - lang/strings_bulgarian.txt Diff File
mod - lang/strings_catalan.txt Diff File
mod - lang/strings_urdu.txt Diff File
mod - lang/strings_breton.txt Diff File
mod - docbook/adminguide/en/page_descriptions.sgml Diff File
mod - lang/strings_greek.txt Diff File
mod - lang/strings_russian.txt Diff File
mod - lang/strings_hebrew.txt Diff File
mod - bug_change_status_page.php Diff File
mod - manage_config_work_threshold_set.php Diff File
mod - core/obsolete.php Diff File
mod - lang/strings_icelandic.txt Diff File
mod - lang/strings_norwegian_bokmal.txt Diff File
mod - lang/strings_swedish.txt Diff File
mod - lang/strings_spanish.txt Diff File
mod - lang/strings_galician.txt Diff File
mod - docbook/adminguide/en/configuration.sgml Diff File
mod - lang/strings_french.txt Diff File
mod - config_defaults_inc.php Diff File
mod - lang/strings_macedonian.txt Diff File

Issue History

Date Modified Username Field Change
2010-06-17 21:45 dhx New Issue
2010-06-17 21:46 dhx Relationship added child of 0010285
2010-06-17 21:52 dhx Relationship added parent of 0012086
2010-06-17 21:52 dhx Relationship deleted parent of 0012086
2010-06-17 21:53 dhx Relationship added related to 0012086
2010-06-17 21:57 dhx Relationship added related to 0012087
2010-06-17 23:21 dhx Assigned To => dhx
2010-06-17 23:21 dhx Severity feature => minor
2010-06-17 23:21 dhx Status new => assigned
2010-06-17 23:21 dhx Product Version 1.3.0-beta.1 => 1.2.2
2010-06-17 23:21 dhx Target Version 1.3.0-beta.1 => 1.2.2
2010-06-17 23:21 dhx Description Updated View Revisions
2010-06-22 23:24 dhx Target Version 1.2.2 => 1.3.0-beta.1
2010-06-22 23:25 dhx Changeset attached => MantisBT master 98162161
2010-06-22 23:25 dhx Resolution open => fixed
2010-06-22 23:25 dhx Fixed in Version => 1.3.0-beta.1
2010-06-22 23:25 dhx Status assigned => resolved
2013-04-05 17:57 grangeway Status resolved => acknowledged
2013-04-05 17:57 grangeway Note Added: 0036504
2013-04-05 18:03 grangeway Relationship added child of 0015721
2013-04-06 03:44 dregad Status acknowledged => resolved
2013-04-06 07:20 grangeway Status resolved => acknowledged
2013-04-06 09:26 dregad Tag Attached: 2.0.x check
2013-04-06 09:26 dregad Status acknowledged => resolved
2014-09-23 18:05 grangeway Tag Detached: 2.0.x check
2014-12-08 00:34 vboctor Status resolved => closed